Summary: The TeX text formatting system.
Name: tetex
%define version 20020402
Version: %{version}
Release: 1cz1
Copyright: Distributable
Group: Applications/Publishing
Requires: tmpwatch, dialog, ed
Prereq: /sbin/install-info
URL: http://www.tug.org/teTeX/
BuildRoot: /var/tmp/%{name}-root
Requires: tetex-fonts = %{version}
Obsoletes: tetex-texmf-src
BuildPreReq: flex, bison, zlib-devel, libpng-devel, XFree86-devel, ncurses-devel

Source0: ftp://ftp.rrzn.uni-hannover.de/pub/local/misc/teTeX-beta/teTeX-src-beta-20020402.tar.gz
Source1: ftp://ftp.rrzn.uni-hannover.de/pub/local/misc/teTeX-beta/teTeX-texmf-beta-20020207.tar.gz
Source2: dvi-to-ps.fpi
Source4: config.generic
Source10: tetex.cron
# TrueType fonts for pdftex
Source51: truetype-texmf.tar.gz
Source52: truetype.map

# texmf tree is in /var/lib
Patch0: teTeX-beta-varconfig.patch
# JadeTeX limits and searching
Patch4: teTeX-beta-texmfcnf.patch
# AmsTeX and b*, cs* and eplain
Patch5: teTeX-beta-fmtutil.patch
# pdfTeX should use our TrueType fonts
Patch6: teTeX-texmf-beta-pdftex-TrueType.patch
# We do not want dvips to print by default, just save
Patch8: teTeX-texmf-beta-config.patch
# patch for GCC 2.96
patch50: teTeX-gcc296.patch
# Czech hyphenation
patch51: teTeX-1.0-czech.patch

%description
TeTeX is an implementation of TeX for Linux or UNIX systems. TeX takes
a text file and a set of formatting commands as input and creates a
typesetter independent .dvi (DeVice Independent) file as output.
Usually, TeX is used in conjunction with a higher level formatting
package like LaTeX or PlainTeX, since TeX by itself is not very
user-friendly.

Install tetex if you want to use the TeX text formatting system.  If
you are installing tetex, you will also need to install tetex-afm (a
PostScript(TM) font converter for TeX), tetex-dvilj (for converting
.dvi files to HP PCL format for printing on HP and HP compatible
printers), tetex-dvips (for converting .dvi files to PostScript format
for printing on PostScript printers), tetex-latex (a higher level
formatting package which provides an easier-to-use interface for TeX)
and tetex-xdvi (for previewing .dvi files in X).  Unless you're an
expert at using TeX, you'll also want to install the tetex-doc
package, which includes the documentation for TeX.


%package latex
Summary: The LaTeX front end for the TeX text formatting system.
Group: Applications/Publishing
Requires: tetex = %{PACKAGE_VERSION}

%description latex
LaTeX is a front end for the TeX text formatting system.  Easier to
use than TeX, LaTeX is essentially a set of TeX macros which provide
convenient, predefined document formats for users.

If you are installing tetex, so that you can use the TeX text
formatting system, you will also need to install tetex-latex.  In
addition, you will need to install tetex-afm (for converting
PostScript font description files), tetex-dvilj (for converting .dvi
files to HP PCL format for printing on HP and HP compatible printers),
tetex-dvips (for converting .dvi files to PostScript format for
printing on PostScript printers) and tetex-xdvi (for previewing .dvi
files in X).  If you're not an expert at TeX, you'll probably also
want to install the tetex-doc package, which contains documentation
for TeX.

%package xdvi
Summary: An X viewer for DVI files.
Group: Applications/Publishing
Requires: tetex-fonts = %{version}

%description xdvi
Xdvi allows you to preview the TeX text formatting system's output
.dvi files on an X Window System.

If you are installing tetex, so that you can use the TeX text
formatting system, you will also need to install tetex-xdvi.  In
addition, you will need to install tetex-afm (a PostScript font
converter for TeX), tetex-dvilj (for converting .dvi files to HP PCL
format for printing on HP and HP compatible printers), tetex-dvips
(for converting .dvi files to PostScript format for printing on
PostScript printers), and tetex-latex (a higher level formatting
package which provides an easier-to-use interface for TeX).  If you're
not a TeX expert, you'll probably also want to install the tetex-doc
package, which contains documentation for the TeX text formatting
system.

%package dvips
Summary: A DVI to PostScript converter for the TeX text formatting system.
Group: Applications/Publishing
Requires: tetex = %{PACKAGE_VERSION}

%description dvips
Dvips converts .dvi files produced by the TeX text formatting system
(or by another processor like GFtoDVI) to PostScript(TM) format.
Normally the PostScript file is sent directly to your printer.

If you are installing tetex, so that you can use the TeX text
formatting system, you will also need to install tetex-dvips.  In
addition, you will need to install tetex-afm (for converting
PostScript font description files), tetex-dvilj (for converting .dvi
files to HP PCL format for printing on HP and HP compatible printers),
tetex-latex (a higher level formatting package which provides an
easier-to-use interface for TeX) and tetex-xdvi (for previewing .dvi
files in X).  If you're installing TeX and you're not an expert at it,
you'll also want to install the tetex-doc package, which contains
documentation for the TeX system.

%package dvilj
Summary: A DVI to HP PCL (Printer Control Language) converter.
Group: Applications/Publishing
Requires: tetex = %{PACKAGE_VERSION}

%description dvilj
Dvilj and dvilj's siblings (included in this package) will convert TeX
text formatting system output .dvi files to HP PCL (HP Printer Control
Language) commands.  Using dvilj, you can print TeX files to HP
LaserJet+ and fully compatible printers.  With dvilj2p, you can print
to HP LaserJet IIP and fully compatible printers. And with dvilj4, you
can print to HP LaserJet4 and fully compatible printers.

If you are installing tetex, so that you can use the TeX text
formatting system, you will also need to install tetex-dvilj.  In
addition, you will need to install tetex-afm (for converting
PostScript font description files), tetex-dvips (for converting .dvi
files to PostScript format for printing on PostScript printers),
tetex-latex (a higher level formatting package which provides an
easier-to-use interface for TeX) and tetex-xdvi (for previewing .dvi
files in X).  If you're installing TeX and you're not a TeX expert,
you'll also want to install the tetex-doc package, which contains
documentation for TeX.

%package afm
Summary: A converter for PostScript(TM) font metric files, for use with TeX.
Group: Applications/Publishing
Requires: tetex = %{PACKAGE_VERSION}

%description afm
Tetex-afm provides afm2tfm, a converter for PostScript font metric
files.  PostScript fonts are accompanied by .afm font metric files
which describe the characteristics of each font.  To use PostScript
fonts with TeX, TeX needs .tfm files that contain similar information.
Afm2tfm will convert .afm files to .tfm files.

If you are installing tetex in order to use the TeX text formatting
system, you will need to install tetex-afm.  You will also need to
install tetex-dvilj (for converting .dvi files to HP PCL format for
printing on HP and HP compatible printers), tetex-dvips (for
converting .dvi files to PostScript format for printing on PostScript
printers), tetex-latex (a higher level formatting package which
provides an easier-to-use interface for TeX) and tetex-xdvi (for
previewing .dvi files in X).  Unless you're an expert at using TeX,
you'll probably also want to install the tetex-doc package, which
includes documentation for TeX.

%package fonts
Summary: The font files for the TeX text formatting system.
Group: Applications/Publishing

%description fonts
The tetex-fonts package contains fonts used by both the Xdvi previewer and
the TeX text formatting system.

You will need to install tetex-fonts if you wish to use either tetex-xdvi
(for previewing .dvi files in X) or the tetex package (the core of the TeX
text formatting system).

%package doc
Summary: The documentation files for the TeX text formatting system.
Group: Applications/Publishing

%description doc
The tetex-doc package contains documentation for the TeX text
formatting system.

If you want to use TeX and you're not an expert at it, you should
install the tetex-doc package.  You'll also need to install the tetex
package, tetex-afm (a PostScript font converter for TeX), tetex-dvilj
(for converting .dvi files to HP PCL format for printing on HP and HP
compatible printers), tetex-dvips (for converting .dvi files to
PostScript format for printing on PostScript printers), tetex-latex (a
higher level formatting package which provides an easier-to-use
interface for TeX) and tetex-xdvi (for previewing .dvi files).

%prep
%setup -q -n teTeX-src-beta-%{version}
%patch0 -p1
%patch4 -p1
%patch5 -p1
# place the second source package to the texmf directory
mkdir -p texmf
tar xfz %{S:1} -C texmf
# place the config.generic
cp %{S:4} texmf/dvips/config
# place the fonts
tar xfz %{S:51} -C texmf
# place truetype.map
cp %{S:52} texmf/dvips/config
# TrueType patch for pdfTeX
%patch6
# dvips should not print by default
%patch8
# GCC 2.96 patch
%patch50 -p1
# Czech hyphenations
%patch51 -p1

%build
sh ./reautoconf

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--with-system-ncurses --with-system-zlib --with-system-pnglib \
	--disable-multiplatform --without-dialog --without-texinfo \
	--datadir=/usr/share \
	%{_target_cpu}-redhat-linux

make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/texmf
mkdir -p $RPM_BUILD_ROOT/var/lib/texmf
tar cf - texmf | tar xf - -C $RPM_BUILD_ROOT/usr/share

make install prefix=$RPM_BUILD_ROOT/usr \
	texmf=$RPM_BUILD_ROOT/usr/share/texmf \
	texmfmain=$RPM_BUILD_ROOT/usr/share/texmf

# move the man pages
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mv $RPM_BUILD_ROOT/usr/man/man1/* $RPM_BUILD_ROOT/%{_mandir}/man1
rm -rf $RPM_BUILD_ROOT/usr/man

rm -f $RPM_BUILD_ROOT/usr/info/dir
gzip -9nf $RPM_BUILD_ROOT/usr/info/*info*
# move the info files
mkdir -p $RPM_BUILD_ROOT%{_infodir}
mv $RPM_BUILD_ROOT/usr/info/* $RPM_BUILD_ROOT%{_infodir}
rm -rf $RPM_BUILD_ROOT/usr/info

# Compress man pages (we want them already compressed to build file lists)
[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

# install the new magic print filter for converting dvi to ps
mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters
install -m755 %{S:2} $RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters

mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
install -m755 $RPM_SOURCE_DIR/tetex.cron $RPM_BUILD_ROOT/etc/cron.daily

# Strip binaries
strip $RPM_BUILD_ROOT/usr/bin/* || :

### Files list
find $RPM_BUILD_ROOT -type f -or -type l | \
	sed -e "s|$RPM_BUILD_ROOT||g" | \
	grep -v "^/etc" | grep -v ".orig$" | \
	sed -e "s|.*\.cnf$|%config &|" \
	    -e "s|/usr/share/texmf/dvips/config/config\.\(generic\|pdf\|ps\|www\)$|%config &|" \
	    -e "s|/usr/share/texmf/xdvi/XDvi|%config &|" > filelist.full

find $RPM_BUILD_ROOT/usr/share/texmf -type d | \
	sed "s|^$RPM_BUILD_ROOT|\%attr(-,root,root) \%dir |" >> filelist.full

# subpackages
grep -v "/doc/" filelist.full | grep latex 	> filelist.latex

# XXX move /usr/bin/mfw to tetex-xdvi to remove tetex dependence on XFree86.
grep -v "/doc/" filelist.full | grep xdvi | \
	grep -v "/usr/share/texmf/tex"		> filelist.xdvi
echo "/usr/bin/mfw"				>> filelist.xdvi

grep -v "/doc/" filelist.full | grep dvips | \
	grep -v "/usr/share/texmf/tex"		> filelist.dvips
echo "/usr/bin/dvired" >> filelist.dvips	>> filelist.dvips
echo "/usr/bin/dvi2fax" >> filelist.dvips	>> filelist.dvips
echo "/usr/lib/rhs/rhs-printfilters/dvi-to-ps.fpi" >> filelist.dvips

grep -v "/doc/" filelist.full | grep dvilj | \
	grep -v "/usr/share/texmf/tex/latex"	> filelist.dvilj

grep -v "/doc/" filelist.full | grep -v afm | \
	grep "/usr/share/texmf/fonts" | \
	grep -v "/usr/share/texmf/fonts/source" > filelist.fonts

grep -v "/doc/" filelist.full | grep afm 	> filelist.afm

grep "/doc/" filelist.full 			> filelist.doc

# now files listed only once are in the main  package
cat filelist.full filelist.latex filelist.xdvi filelist.dvips \
   filelist.dvilj filelist.afm filelist.fonts filelist.doc | \
   sort | uniq -u > filelist.main 

# desktop entry things
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Graphics
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/xdvi.desktop <<EOF
[Desktop Entry]
Name=XDvi
Type=Application
Comment=DVI viewer for TeX DVI files
Comment[cs]=Prohle DVI soubor z TeXu
Icon=gnome-word.png
MiniIcon=mini-doc1.xpm
Exec=/usr/bin/xdvi
EOF

%clean
rm -rf $RPM_BUILD_ROOT
rm -f filelist.*

# make sure ls-R used by teTeX is updated after an install

%post
/sbin/install-info %{_infodir}/web2c.info.gz    %{_infodir}/dir
/sbin/install-info %{_infodir}/kpathsea.info.gz %{_infodir}/dir
/usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%post latex
/sbin/install-info %{_infodir}/latex.info.gz %{_infodir}/dir
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%post xdvi
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%post dvips
/sbin/install-info %{_infodir}/dvips.info.gz %{_infodir}/dir
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%post dvilj
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%post fonts
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%post afm
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun latex
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun xdvi
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun dvips
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun dvilj
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun fonts
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun afm
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%preun
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/kpathsea.info.gz %{_infodir}/dir
  /sbin/install-info --delete %{_infodir}/web2c.info.gz %{_infodir}/dir
fi

%preun dvips
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/dvips.info.gz %{_infodir}/dir
fi

%preun latex
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/latex.info.gz %{_infodir}/dir
fi

%files -f filelist.main
%defattr(-,root,root)
%attr(1777,root,root) %dir /var/lib/texmf
%config /etc/cron.daily/tetex.cron

%files -f filelist.latex latex
%defattr(-,root,root)

%files -f filelist.xdvi xdvi
%defattr(-,root,root)
%config(missingok) /etc/X11/applnk/Graphics/xdvi.desktop

%files -f filelist.dvips dvips
%defattr(-,root,root)

%files -f filelist.dvilj dvilj
%defattr(-,root,root)

%files -f filelist.fonts fonts
%defattr(-,root,root)

%files -f filelist.afm afm
%defattr(-,root,root)

%files -f filelist.doc doc
%defattr(-,root,root)

%changelog
* Sat May 25 2002 Milan Kerslager <kerslage@linux.cz>
- updated to 20020402 for 7.3 CZ

* Wed May 16 2001 Milan Kerslager <kerslage@linux.cz>
- updated to 20001218 for 7.1 CZ

* Sun Dec  3 2000 Milan Kerslager <kerslage@linux.cz>
- rebuild & upgrade for 7.0 CZ

* Wed Mar 09 2000 Pavel Janik ml. <Pavel.Janik@linux.cz>
- Upgraded to beta 20000305
- Czech formats added
- TrueType fonts for pdfTeX
  
* Sat Jan 15 2000 Jeff Johnson <jbj@redhat.com>
- build for Red Hat 6.2 (and sync with Mandrake tetex-1.0.6-6mdk).
- always apply AMD K6 patch; won't hurt, and removes platform dependency.
- spelling correction (#7085).

* Wed Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- AMD K6 is not an i686 processor (another)
- Replace $RPM_ARCH by %%{_target_cpu}

* Thu Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- mark also config.pdf, config.www and config.generic as %config.
- added BuildPreReq.

* Fri Sep  3 1999 Jeff Johnson <jbj@redhat.com>
- mark /usr/share/texmf/dvips/config/config.ps as %config (#4842).

* Fri Sep  3 1999 Jeff Johnson <jbj@redhat.com>
- Create tetex-fonts to remove dependendency of xdvi on main tetex package.

* Mon Aug 30 1999 Jeff Johnson <jbj@redhat.com>
- Integrate Giuseppe's latest. Thanks for the fixes!

* Thu Aug 26 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fine tuning subpackage package list.
- added teTeX dependence to package xdvi (it cannot works without fonts).

* Wed Aug 25 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- cleaned %clean. Now spec file support buildroot.
- added support for 'resolution' in dvi-to-ps.fpi as well as
  the config.generic file.
- fixed a problem in manpage links (reported by Dusan
  Gabrijelcic <dusan@kamra.e5.ijs.si>).

* Tue Aug 17 1999 Jeff Johnson <jbj@redhat.com>
- move /usr/bin/mfw to tetex-xdvi to remove tetex dependence on XFree86.

* Sun Aug 15 1999 Jeff Johnson <jbj@redhat.com>
- rebuild with VARTEXFONTS configured correctly.

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.0.6.
- merge in Giuseppe Ghib changes from mandrake package.
- dvi-to-ps.fpi: read postcript configuration settings (#3379).

* Wed Aug 04 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fixed VARTEXFONTS path in config file.

* Sat Jun 26 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- mandrake adaptions.
- speed up TEXMFCNF path.

* Fri Jun 25 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- fixed new bugs reported by Thomas Esser (included
  patch 1.0.5-1.0.6-pre).
- added amstex, bamstex and bplain to the list of format files to build.

* Wed Jun 23 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- fixed and removed unneeded things in teTeX-1.0-texmfcnf.patch,
  according to Thomas Esser suggestions.

* Sun Jun 20 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- upgraded to teTeX 1.0.5.
- merged .spec file with Jeff Johnson's 1.0.1 .spec file from rawhide.

* Sun Jun 13 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- upgraded to teTeX 1.0 final.
- removed texmf.cnf external config file, and provided
  as patch.
- removed ``texconfig init'' (now it's included into 'make install').
- moved texmf unpacking to buildroot before 'make install'.
- added italian hyphenation.

* Tue Jun  8 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.0.1.
- add buildroot translated texmfmain for install (#1719)
- mark /usr/share/texmf/xdvi/XDvi as %config (#1067)
- generate texmf.cnf and then merge in old conventions

* Thu Jun 03 1999 Kayvan A. Sylvan <kayvan@sylvan.com>
- upgraded snapshot
- Fixed PATH setting for ``texconfig init''. As it was, you could
  not build a working teTeX on a machine with tetex installed.

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- upgraded snapshot

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- set limits for jadetex

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- I think I have got the buildroot problems right this time
- auto rebuild in the new build environment (release 15)

* Fri Mar 19 1999 Cristian Gafton <gafton@redhat.com>
- fix buildroot problems

* Mon Mar 15 1999 Michael Maher <mike@redhat.com>
- fixed BUG: 978

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- slight changes in the packaging (unpack texmf directly into the buildroot
  and build it there)
- added texmfsrc source tarball to comply with the license

* Mon Mar 07 1999 Michael Maher <mike@redhat.com>
- updated package

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- add patch to make it compile on the arm (RmS)
- build for glibc 2.1
- use tar hack instead of the cp -a to overcome cp's brokeness re: symlinks
  handling

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- enable italian formatting

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- requires ed
- Fixed obsoletes line
- credted the doc subpackage
- fully buildroot
- require dialog in the main package
- add support for wmconfig in for the xdvi package

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- upgrade to 0.9
- texmf-src package is gone
- use /var/lib/texmf instead of /var/tmp/texmf

* Sat Aug 22 1998 Jeff Johnson <jbj@redhat.com>
- make sub-packages depend on teTeX (problem #214)

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- eliminate environment when running texhash (problem #849)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Feb  5 1998 Otto Hammersmith <otto@redhat.com>
- added install-info support (dvips, fontname and kpathsea)
- combined the two changelogs in the spec file.

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed dvi-to-ps.fpi to create temp files more safely.

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr  8 1997 Michael Fulbright <msf@redhat.com>
- Removed afmdoit from file list (mistakenly added in release 3 rpm)

* Mon Mar 24 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to tetex-lib to 0.4pl8 and fixed cron tmpwatch entry to not
  delete /var/lib/texmf/fonts and /var/lib/texmf/texfonts

* Fri Mar 07 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl7.

* Mon Feb 17 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl6, and fixed file permissions on /var/lib/texmf/texfonts
  so normal users could create fonts on demand.
